<?php
use CRM_Cartable_ExtensionUtil as E;

/**
 * Collection of upgrade steps.
 */
class CRM_Cartable_Upgrader extends CRM_Extension_Upgrader_Base {

    // By convention, functions that look like "function upgrade_NNNN()" are
    // upgrade tasks. They are executed in order (like Drupal's hook_update_N).

    public function install() {

    }

    

    public function onPostInstall() {
        try {
            include 'Upgrader/Install.php';
            
            return true;
        } catch ( CiviCRM_API3_Exception $e ){
            error_log("DEBUG:\t".json_encode($e->getMessage()));
            return false;
        }
        return false;
    }


    public function uninstall() {
        try {
            include 'Upgrader/Uninstall.php';
            return true;
        } catch ( CiviCRM_API3_Exception $e ){
            return false;
        }
        return false;
    }


    public function enable() {
        return true;
    }


    public function disable() {
        return true;
    }
    public function upgrade_0001() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0007() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0008() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0009() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0010() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0011() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0012() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0013() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0014() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0015() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0016() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0017() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0018() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0019() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0020() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0021() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0022() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0023() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0024() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0025() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0026() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0027() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0028() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0029() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0030() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0031() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0032() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0033() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0034() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0035() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0036() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0037() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0038() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0039() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0040() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0041() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0042() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0043() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0044() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0045() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0046() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0047() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0048() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0049() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0050() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0051() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0052() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0053() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0054() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0055() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0056() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0057() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0058() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0059() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0060() {
        return $this->include_upgrade_version(__FUNCTION__);
    }
    public function upgrade_0061() {
        return $this->include_upgrade_version(__FUNCTION__);
    }

    public function include_upgrade_version($version) {
        if(file_exists(__DIR__."/Upgrader/{$version}.php")){
            try {
                require "Upgrader/{$version}.php";
                return true;

            }
            catch(\Throwable $e){
                error_log("DEBUG: {$version}\t".json_encode($e->getMessage()));
                \WPReporting()->send($e, 'cartable');
                return;
            }
            catch(\Exception $e){
                error_log("DEBUG: {$version}\t".json_encode($e->getMessage()));
                \WPReporting()->send($e, 'cartable');
                return;
            }
            catch(\CiviCRM_API3_Exception $e){
                error_log("DEBUG: {$version}\t".json_encode($e->getMessage()));
                \WPReporting()->send($e, 'cartable');
                return;
            }
        }
        else{
            error_log("Upgrade: Missing file for {$version}");
        }
        return false;
    }


}
