<?php

civicrm_api3('CustomField', 'create', [
    'label'           => 'Autre Discipline',
    'name'            => 'AutreDiscipline',
    'column_name'     => 'autre_discipline',
    'custom_group_id' => "DonneesParticulier",
    'html_type'       => 'Text',
    'weight'          => 6,
    'is_required'     => 0,
    'is_searchable'   => 1,
    'is_active'       => 1,
    'is_reserved'     => 1,
]);

$discipline_field_id = civicrm_api3('CustomField', 'getvalue', [
    'return' => 'option_group_id',
    'name' => 'Corps',
    'custom_group_id'=> 'DonneesParticulier',
]);
if($discipline_field_id){
    $custom_group = civicrm_api3('OptionGroup', 'getsingle', [
      'sequential' => 1,
      'id' => $discipline_field_id,
    ]);

    civicrm_api3('OptionValue', 'create', [
        'option_group_id' => $custom_group['name'],
        'value' => 'Autre',
        'name' => 'Autre',
    ]);

}
