<?php

$FrequencesPaiement_id = civicrm_api3('CustomField', 'getvalue', [
    'return' => 'id',
    'name' => 'FrequencesPaiement',
]);
if($FrequencesPaiement_id){
    civicrm_api3('CustomField', 'create', [
        'id'              => $FrequencesPaiement_id,
        'label'           => 'Fréquences de paiement',
        'name'            => 'FrequencesPaiement',
        'column_name'     => 'frequence_paiement',
        'html_type'       => 'Multi-Select',
        'weight'          => 1,
        'is_required'     => 0,
        'is_searchable'   => 1,
        'is_active'       => 1,
        'is_reserved'     => 1,
    ]);
}

$GrilleCotisation_id = civicrm_api3('CustomField', 'getvalue', [
    'return' => 'id',
    'name' => 'GrilleCotisation',
]);
if($GrilleCotisation_id){
    civicrm_api3('CustomField', 'create', [
        'id'              => $GrilleCotisation_id,
        'label'           => 'Grille de cotisation',
        'name'            => 'GrilleCotisation',
        'column_name'     => 'grille_cotisation',
        'html_type'       => 'TextArea',
        'weight'          => 2,
        'is_required'     => 0,
        'is_searchable'   => 0,
        'is_active'       => 1,
        'is_reserved'     => 1,
        'help_post'       => "Un par ligne. salaire|montant d'adhésion. Laisser vide pour utiliser les valeurs globales."
    ]);
}

$RatioSupplementaire_id = civicrm_api3('CustomField', 'getvalue', [
    'return' => 'id',
    'name' => 'RatioSupplementaire',
]);
if($RatioSupplementaire_id){
    civicrm_api3('CustomField', 'create', [
        'id'              => $RatioSupplementaire_id,
        'label'           => 'Ratio supplémentaire',
        'name'            => 'RatioSupplementaire',
        'column_name'     => 'ratio_supplementaire',
        'html_type'       => 'Text',
        'weight'          => 3,
        'is_required'     => 0,
        'is_searchable'   => 0,
        'is_active'       => 1,
        'is_reserved'     => 1,
        'help_post'       => "Pourcentage pour les salaires supérieurs."
    ]);
}
