<?php

civicrm_api3('CustomField', 'create', [
    'label'           => 'Message de remerciement',
    'name'            => 'ThankYouMessage',
    'column_name'     => 'thank_you_message',
    'custom_group_id' => "ParametresAdhesion",
    'html_type'       => 'TextArea',
    'weight'          => 30,
    'is_required'     => 0,
    'is_searchable'   => 0,
    'is_active'       => 1,
    'is_reserved'     => 1,
]);

civicrm_api3( 'CustomGroup', 'create', [
    'title'            => "Paramètres",
    'name'             => 'Parametres',
    'extends'          => ['Membership'],
    'column_name'      => 'parametres_',
    'weight'           => 1,
    'collapse_display' => 0,
    'is_active'        => 1,
    'style'            => "Inline",
    'api.CustomField.create' => [
        [
            'label'           => 'Grille salariale',
            'name'            => 'GrilleSalariale',
            'column_name'     => 'grille_salariale',
            'html_type'       => 'Text',
            'weight'          => 10,
            'is_required'     => 1,
            'is_searchable'   => 0,
            'is_active'       => 1,
            'is_reserved'     => 1,
        ],
        [
            'label'           => 'Méthode de paiement',
            'name'            => 'PaymentMethod',
            'column_name'     => 'payment_method',
            'html_type'       => 'Text',
            'weight'          => 20,
            'is_required'     => 1,
            'is_searchable'   => 0,
            'is_active'       => 1,
            'is_reserved'     => 1,
        ],
    ]
]);
