<?php
use CRM_Cartable_ExtensionUtil as E;
$RulesOfProcedureField = civicrm_api3('CustomField', 'getvalue', [
    'return' => 'id',
    'name' => 'RulesOfProcedure',
]);
civicrm_api3('CustomField', 'create', [
    'id'              => $RulesOfProcedureField,    
    'label'           => E::ts('Rules of procedure'),
    'name'            => 'RulesOfProcedure',
    'column_name'     => 'rules_of_procedure',
    'custom_group_id' => "DonneesSyndicat",
    'data_type'       => "Note",
    'html_type'       => "Rich Text Editor",
    'weight'          => 50,
    'is_required'     => 0,
    'is_searchable'   => 1,
    'is_active'       => 1,
    'is_reserved'     => 1,
    'text_length'     => 5000,
]);
