<?php
use CRM_Cartable_ExtensionUtil as E;

/**
 * Reorder payment frequencies
 *
 * */ 

$PaymentMethodField_id = _cartable_get_option_group_id('FrequencesPaiement', 'ParametresAdhesion');
$FrequenciesData = cartable_get_values('payment-methods', false);

$weight=0;
foreach($FrequenciesData as $value=>$frequency) {
  $weight++;
  $results = \Civi\Api4\OptionValue::get()
    ->addWhere('option_group_id', '=', $PaymentMethodField_id)
    ->addWhere('value', '=', $value)
    ->addChain('update_value', \Civi\Api4\OptionValue::update()
      ->addValue('weight', $weight)
      ->addWhere('id', '=', '$id')
    )
    ->execute();
}
