<?php
use CRM_Cartable_ExtensionUtil as E;
try{
    //grp
    civicrm_api3('OptionGroup', 'create', [
        'name' => "manager_group",
        'title' => "Manager group",
        'is_active' => 1,
    ]);
   
    civicrm_api3('CustomField', 'create', [
        'custom_group_id' => 'DonneesSyndicat',
        'label'           => E::ts('Manager group'),
        'name'            => 'ManagerGroup',
        'html_type'       => 'Select',
        'data_type'       => 'String',
        'is_searchable'   => 1,
        'is_active'       => 1,
        'is_required'     => 0,
        'weight'          => 6,
        'option_group_id' => 'manager_group'
    ]);

}
catch(\Throwable $e){
    \WPReporting()->send($e, 'cartable');
    die;
}
catch(\Exception $e){
    \WPReporting()->send($e, 'cartable');
    die;
}