<?php 
try{

    civicrm_api4('Navigation', 'create', [
        'values' => [
            'label' => 'Auto-gestion',
            'name' => 'SelfManagement',
            'url' => 'civicrm/sud/self-management',
            'parent_id.name' => "Administer",
            'is_active' => 1,
            'weight' => 5,
        ],
        'chain' => [
            'item_1' => ['Navigation', 'create', [
                'values' => [
                    'parent_id' => '$id',
                    'name' => "SelfManagementSettings",
                    'label' => "Réglage Auto-Gestion SUD Éducation",
                    'url' => "civicrm/sud/self-management-settings",
                    'permission' => "administer CiviCRM",
                    'is_active' => 1,
                    ]
                ],
            ],
            'item_2' => ['Navigation', 'create', [
                'values' => [
                    'parent_id' => '$id',
                    'name' => "SelfManagementMembershipSettings",
                    'label' => "Réglages d'adhésion",
                    'url' => "civicrm/admin/setting/preferences/member",
                    'permission' => "administer CiviCRM",
                    'is_active' => 1,
                    ]
                ],
            ],
            'item_3' => ['Navigation', 'create', [
                'values' => [
                    'parent_id' => '$id',
                    'name' => "GenerateForSyndicates",
                    'label' => "Générer les données pour les syndicats",
                    'url' => "civicrm/sud/generate-for-syndicates",
                    'permission' => "administer CiviCRM",
                    'is_active' => 1,
                    ]
                ],
            ]
        ],
    ]);
}  
catch(\Throwable $e){
    \WPReporting()->send($e, 'cartable');
    die;
}
catch(\Exception $e){
    \WPReporting()->send($e, 'cartable');
    die;
}