<?php
use CRM_Cartable_ExtensionUtil as E;

try {
    civicrm_api3('CustomField', 'create', [
        'label'           => E::ts('External URL'),
        'name'            => 'External_URL',
        'column_name'     => 'external_URL',
        'custom_group_id' => "DonneesSyndicat",
        'html_type'       => 'Text',
        'weight'          => 60,
        'is_required'     => 0,
        'is_searchable'   => 1,
        'is_active'       => 1,
        'is_reserved'     => 1,
    ]);
}
catch(\Throwable $e){
    \WPReporting()->send($e, 'cartable');
    die;
}
catch(\Exception $e){
    \WPReporting()->send($e, 'cartable');
    die;
}