<?php

use CRM_Cartable_ExtensionUtil as E;

try {
    civicrm_api4('CustomField', 'create', [
        'values' => [
            'custom_group_id.name' => 'DonneesParticulier',
            'label' => E::ts('Annual amount for contribution'),
            'name' => 'annualAmountForContribution',
            'column_name' => 'annual_amount_for_contribution',
            'html_type' => 'Text',
            'data_type' => 'String',
            'is_required' => false,
            'is_searchable' => false,
            'is_active' => true,
        ],
        'checkPermissions' => false,
    ]);
} catch(\Throwable $e) {
    \WPReporting()->send($e, 'cartable');
    die;
} catch(\Exception $e) {
    \WPReporting()->send($e, 'cartable');
    die;
}
