<body>
    {literal}
    <style>
        body {
            font-family: Open-Sans, Arial, sans-serif;
        }
        h3{
            margin: 0;
        }
        table{
            width: 100%;
        }

        td {
            padding: 1px 15px;
        }
        .row{
            font-size: 12px;
            width: 100%;
            margin: 20px 0;
        }
        .value{
            border: #000 1px solid;
            padding: 10px;
            min-height: 15px;
            margin: 5px 0;
        }
        p{
            font-size: 10px;
        }
    </style>
    {/literal}

    <div style="text-align:center">
        <!--logo-->
        <h2>Mandat de prélèvement SEPA</h2>
    </div>

    <table>
        <tr>
            <td width="50%" valign="top">
                
                <div class="row">
                    <h3>{$mandate_creditor.name}</h3>
                    <div>
                        {$mandate_creditor.address}
                    </div>
                </div>

                <div class="row">
                    <strong>Nom du débiteur-trice</strong>
                    <div class="value">
                        {$contact.first_name} {$contact.last_name}
                    </div>
                </div>
                
                <div class="row">
                    <strong>International Bank Account Number (IBAN)</strong>
                    <div class="value">
                        {$sepa.iban}
                    </div>
                </div>
                
                <div class="row">
                    <strong>Bank Identifier Code (BIC)</strong>
                    <div class="value">
                        {$sepa.bic}
                    </div>
                </div>
                
                <div class="row">
                    <strong>Adresse du débiteur-trice</strong>
                    <div class="value">
                        {$contact.street_address}<br />
                        {$contact.postal_code} {$contact.city}
                    </div>
                </div>

            </td>
            <td width="50%" valign="top">
                
                <div class="row">
                    <strong>Identifiant du créancier (ICS)</strong>
                    <div class="value">
                        {$mandate_creditor.identifier}                        
                    </div>
                </div>
                
                <div class="row">
                    <strong>Référence Unique de Mandat (RUM)</strong>
                    <div class="value">
                        {$sepa.reference}
                    </div>
                </div>

                <p>
                    En signant ce formulaire, le créancier à envoyer des instructions à votre banque pour
                    débiter votre compte, et autorisez votre banque à débiter votre compte conformément aux instructions du créancier.
                </p>
                <p>
                    Vous bénéficiez du droit d’être remboursé par votre banque selon les conditions décrites
                    dans la convention que vous avez passée avec lui. Une demande de remboursement doit être présentée dans les
                    8 semaines suivant la date de débit de votre compte pour un prélèvement autorisé ou sans tarder et au plus
                    tard dans les 13 mois en cas de prélèvement non autorisé.
                </p>
                
                <div class="row">
                    <strong>Fait à</strong>
                    <div class="value">
                    </div>
                </div>
                
                <div class="row">
                    <strong>Date</strong>
                    <div class="value">
                        ___ / ___ / _______
                    </div>
                </div>
                
                <p>
                    Note : Vos droits concernant le présent mandat sont expliqués dans le document que vous pouvez obtenir
                    auprès de votre banque. 
                </p>
                
                <p>
                    <strong>Merci de joindre obligatoirement un RIB avec ce Mandat de prélèvement</strong>
                </p>
                
                <div class="row">
                    <strong>Signature</strong>
                    <div class="value">
                        <br><br><br>
                    </div>
                </div>
                <p>
                </p>

            </td>
        </tr>
    </table>
</body>