<?php

return [
        "yearly" => [
            "unit" => "year",
            "is_recur" => true,
            'is_prorata'=> false,
            "title" => "Cotisation annuelle - renouvellement automatique",
            "description" => "Payez en 1 paiement annuel. Votre adhésion sera automatiquement renouvelée tous les [start_date].",
            "amount_label" => "[year_amount]/an",
            "amount_help" => "",
            "amount_help_plus" => "",
            "tax_free_label" => "Cotisation annuelle après déduction fiscale : [year_free_amount]",
        ],
        "monthly" => [
            "unit" => "month",
            "is_recur" => true,
            'is_prorata'=> false,
            "title" => "Cotisation mensuelle - renouvellement automatique",
            "description" => "Réglez votre adhésion chaque mois. Votre adhésion est renouvelée automatiquement chaque année le [start_date]. Vous pouvez à tout moment choisir de suspendre, supprimer ou modifier votre cotisation.",
            "amount_label" => "[month_amount]/mois",
            "amount_help" => "sur [nb_months] mois, soit [year_amount] à l’année",
            "amount_help_theorical" => "",
            "tax_free_label" => "Cotisation annuelle après déduction fiscale : [year_free_amount]",
        ],
        "monthly_apportionment" => [
            "unit" => "month",
            "is_recur" => true,
            'is_prorata'=> true,
            "title" => "Cotisation mensuelle répartie - renouvellement automatique",
            "description" => "Votre cotisation annuelle est répartie entre le [apportionment_start_date] et le [apportionment_end_date] (uniquement en prélèvement bancaire). Votre adhésion est renouvelée automatiquement chaque année le [start_date]. Vous pouvez à tout moment choisir de suspendre, supprimer ou modifier votre cotisation.",
            "amount_label" => "[month_apportionment_amount]/mois",
            "amount_help" => "sur [nb_apportionment_months] mois, soit [year_amount] à l’année",
            "amount_help_theorical" => "puis [theorical_apportionment_month_amount]/mois sur [nb_theorical_apportionment_months] mois",
            "tax_free_label" => "Cotisation annuelle après déduction fiscale : [year_free_amount]",
        ],
        "oneoff" => [
            "unit" => null,
            "is_recur" => false,
            'is_prorata'=> false,
            "title" => "Cotisation annuelle sans renouvellement automatique",
            "description" => "Payez en 1 seul paiement annuel. Votre adhésion prendra fin le [end_date] prochain, vous devrez alors la renouveler.",
            "amount_label" => "[year_amount]/an",
            "amount_help" => "",
            "amount_help_plus" => "",
            "tax_free_label" => "Cotisation annuelle après déduction fiscale : [year_free_amount]",
        ],
    ]; 