<?php
include_once('cartable.php');
class CRM_Cartable_API3Wrappers_SepaTransactionGroup implements API_Wrapper {
    
  public function fromApiInput($apiRequest) {
    return $apiRequest;
  }


  public function toApiOutput($apiRequest, $result) {
    $current_user = wp_get_current_user();
    $admin = user_is_admin($current_user);
    $allowed_groups = array();
    foreach ($result['values'] as $group) {
        $civiID = CRM_Core_Session::singleton()->getLoggedInContactID();
        $current_user_groups = user_group_ids($civiID);
        $creditorId = $group['creditor_id'];
        $civicrm_sdd_mandate_dao = CRM_Core_DAO::executeQuery("SELECT creditor_id FROM civicrm_sdd_creditor WHERE id=$creditorId");
        $array_organizationId = $civicrm_sdd_mandate_dao->fetchAll();
        $organizationId = $array_organizationId[0]['creditor_id'];

        if ($admin || in_array($organizationId, $current_user_groups)) {
            $group['authorization'] = true;
            $allowed_groups[] = $group;
        }
    }
    $result['values'] = $allowed_groups;
    return $result;
  }
}
