<?php
civicrm_api3( 'CustomGroup', 'create', [
    'title'            => "Paramètres d’adhésion",
    'name'             => 'ParametresAdhesion',
    'extends'          => ['Organization'],
    'column_name'      => 'parametres_adhesion',
    'weight'           => 1,
    'collapse_display' => 0,
    'is_active'        => 1,
    'style'            => "Inline",
    'api.CustomField.create' => [
        [
            'label'           => 'Fréquences de paiement',
            'name'            => 'FrequencesPaiement',
            'column_name'     => 'frequence_paiement',
            'html_type'       => 'Multi-Select',
            'weight'          => 1,
            'is_required'     => 1,
            'is_searchable'   => 1,
            'is_active'       => 1,
            'is_reserved'     => 1,
            'option_values'   => [
                                    'oneoff'   => 'Une fois',
                                    'monthly'  => 'Renouvellement Mensuel',
                                    'yearly'   => 'Renouvellement Annuel',
                                ],
        ],
        [
            'label'           => 'Grille de cotisation',
            'name'            => 'GrilleCotisation',
            'column_name'     => 'grille_cotisation',
            'html_type'       => 'TextArea',
            'weight'          => 2,
            'is_required'     => 1,
            'is_searchable'   => 1,
            'is_active'       => 1,
            'is_reserved'     => 1,
            'help_post'       => "Un par ligne. salaire|montant d'adhésion. Laisser vide pour utiliser les valeurs globales."
        ],
        [
            'label'           => 'Ratio supplémentaire',
            'name'            => 'RatioSupplementaire',
            'column_name'     => 'ratio_supplementaire',
            'html_type'       => 'Text',
            'weight'          => 3,
            'is_required'     => 1,
            'is_searchable'   => 1,
            'is_active'       => 1,
            'is_reserved'     => 1,
            'help_post'       => "Pourcentage pour les salaires supérieurs."
        ],
    ]
]);
