<?php
use CRM_Cartable_ExtensionUtil as E;
civicrm_api3('CustomField', 'create', [
    'label'           => E::ts('Rules of procedure'),
    'name'            => 'RulesOfProcedure',
    'column_name'     => 'rules_of_procedure',
    'custom_group_id' => "DonneesSyndicat",
    'html_type'       => 'TextArea',
    'weight'          => 50,
    'is_required'     => 0,
    'is_searchable'   => 1,
    'is_active'       => 1,
    'is_reserved'     => 1,
    'text_length'     => 5000,
]);
civicrm_api3('CustomField', 'create', [
    'label'           => E::ts('Accept rules of procedure'),
    'name'            => 'AcceptRulesOfProcedure',
    'column_name'     => 'accept_rules_of_procedure',
    'custom_group_id' => "DonneesParticulier",
    'data_type'       => 'String',
    'html_type'       => 'Checkbox(es)',
    'weight'          => 40,
    'is_required'     => 1,
    'is_searchable'   => 1,
    'is_active'       => 1,
    'is_reserved'     => 1,
    'option_values'   => [
                            '1' => E::ts("I've read and accepted this rules of procedure"),
                         ],
    'help_post'       => sprintf(E::ts('See the <a href="%s" target="_blank">rules of procedure</a>'), CRM_Utils_System::url('civicrm/cartable/rules-of-procedure', 'reset=1')),
]);
