<?php
use CRM_Cartable_ExtensionUtil as E;
$template_entry = civicrm_api3('OptionValue', 'getsingle', [ 
        'version'           => 3,
        'option_group_name' => 'msg_tpl_workflow_contribution',
        'name'              => 'sepa_mandate_pdf'
    ]
);
$filepath = "inc/msg_templates/sepa_mandate_pdf.tpl";
$html = cartable_get_file_content($filepath);
if(null != $logo = get_custom_logo()){
    $html = str_replace('<!--logo-->', $logo, $html);
}
civicrm_api3('MessageTemplate', 'create', array(
    'version'     => 3,
    'workflow_id' => $template_entry['id'],
    'msg_title'   => E::ts("SUD SEPA PDF template"),
    'msg_subject' => E::ts("SEPA Direct Debit Mandate"),
    'is_reserved' => 0,
    'msg_html'    => $html,
    'msg_text'    => 'N/A'
));