<?php
civicrm_api3( 'CustomGroup', 'create', [
    'title'            => "Paramètres de paiement",
    'name'             => 'ParametresPaiement',
    'extends'          => ['Individual'],
    'column_name'      => 'parametres_paiement',
    'weight'           => 1,
    'collapse_display' => 0,
    'is_active'        => 1,
    'style'            => "Inline",
    'api.CustomField.create' => [
        [
            'label'           => 'Titulaire du compte',
            'name'            => 'SEPA_Holder',
            'column_name'     => 'sepa_holder',
            'html_type'       => 'Text',
            'weight'          => 10,
            'is_required'     => 0,
            'is_searchable'   => 1,
            'is_active'       => 1,
            'is_reserved'     => 1,
        ],
        [
            'label'           => 'IBAN',
            'name'            => 'SEPA_IBAN',
            'column_name'     => 'sepa_iban',
            'html_type'       => 'Text',
            'weight'          => 11,
            'is_required'     => 0,
            'is_searchable'   => 1,
            'is_active'       => 1,
            'is_reserved'     => 1,
        ],
        [
            'label'           => 'BIC/SWIFT',
            'name'            => 'SEPA_BIC',
            'column_name'     => 'sepa_bic',
            'html_type'       => 'Text',
            'weight'          => 12,
            'is_required'     => 0,
            'is_searchable'   => 1,
            'is_active'       => 1,
            'is_reserved'     => 1,
        ],
        [
            'label'           => 'Nom de la banque',
            'name'            => 'SEPA_Bank',
            'column_name'     => 'sepa_bank',
            'html_type'       => 'Text',
            'weight'          => 13,
            'is_required'     => 0,
            'is_searchable'   => 1,
            'is_active'       => 1,
            'is_reserved'     => 1,
        ],
    ]
]);
