<?php
use CRM_Cartable_ExtensionUtil as E;

// Make some fields not searchable
$fields = ['RulesOfprocedure', 'PaymentProcessors'];

foreach($fields as $field) {
  $customField = \Civi\Api4\CustomField::get()
    ->addWhere('name', '=', $field)
    ->setLimit(1)
    ->addChain('update_searchable', \Civi\Api4\CustomField::update()
      ->addValue('is_searchable', 0)
      ->addWhere('id', '=', '$id')
    )
    ->execute();
}
