<?php

use CRM_Cartable_ExtensionUtil as E;

try{
    civicrm_api3('CustomField', 'create', [
        'custom_group_id' => 'DonneesParticulier',
        'label'           => E::ts('Membership Status'),
        'name'            => 'MembershipStatus',
        'html_type'       => 'Text',
        'data_type'       => 'String',
        'is_searchable'   => 1,
        'is_active'       => 1,
        'is_required'     => 0,
        'weight'          => 6,
    ]);
}
catch(\Throwable $e){
    \WPReporting()->send($e, 'cartable');
    die;
}
catch(\Exception $e){
    \WPReporting()->send($e, 'cartable');
    die;
}