<?php 
use CRM_Cartable_ExtensionUtil as E;
try{
    civicrm_api4('CustomField', 'create', [
        'values' => [
            'custom_group_id:label' => 'Paramètres',
            'label' => E::ts('URL of SUD documentation'),
            'name' => 'sudDocumentationUrl',
            'data_type' => 'Link',
            'html_type' => 'Link',
            'is_required' => FALSE,
            'is_searchable' => FALSE,
            'is_active' => TRUE,
        ],
    ]);

    civicrm_api4('CustomField', 'create', [
        'values' => [
            'custom_group_id:label' => 'Paramètres',
            'label' => E::ts('URL of SUD documentation iframe'),
            'name' => 'sudDocumentationUrlIframe',
            'data_type' => 'Link',
            'html_type' => 'Link',
            'is_required' => FALSE,
            'is_searchable' => FALSE,
            'is_active' => TRUE,
        ],
    ]);

    civicrm_api4('CustomField', 'create', [
        'values' => [
            'custom_group_id:label' => 'Paramètres',
            'label' => E::ts('URL of SUD F.A.Q'),
            'name' => 'sudFaqUrl',
            'data_type' => 'Link',
            'html_type' => 'Link',
            'is_required' => FALSE,
            'is_searchable' => FALSE,
            'is_active' => TRUE,
        ],
    ]);

        civicrm_api4('CustomField', 'create', [
        'values' => [
            'custom_group_id:label' => 'Paramètres',
            'label' => E::ts('URL of SUD F.A.Q iframe'),
            'name' => 'sudFaqUrlIframe',
            'data_type' => 'Link',
            'html_type' => 'Link',
            'is_required' => FALSE,
            'is_searchable' => FALSE,
            'is_active' => TRUE,
        ],
    ]);

    civicrm_api4('CustomField', 'create', [
        'values' => [
            'custom_group_id:label' => 'Paramètres',
            'label' => E::ts('URL of SUD academies map'),
            'name' => 'sudAcademiesMapUrl',
            'data_type' => 'Link',
            'html_type' => 'Link',
            'is_required' => FALSE,
            'is_searchable' => FALSE,
            'is_active' => TRUE,
        ],
    ]);
}
catch(\Throwable $e){
    \WPReporting()->send($e, 'cartable');
    die;
}
catch(\Exception $e){
    \WPReporting()->send($e, 'cartable');
    die;
}