<?php 
use CRM_Cartable_ExtensionUtil as E;
try{
    civicrm_api4('CustomField', 'create', [
        'values' => [
            'custom_group_id.name' => 'Parametres',
            'label' => E::ts('Number of months for contribution'),
            'name' => 'numberOfMonthsForContribution',
            'html_type' => 'Text',
            'data_type' => 'String',
            'is_required' => false,
            'is_searchable' => false,
            'is_active' => true,
        ],
        'checkPermissions' => false,
    ]);
    civicrm_api4('CustomField', 'create', [
        'values' => [
            'custom_group_id.name' => 'Parametres',
            'label' => E::ts('Number of months for Pro-rata'),
            'name' => 'numberOfMonthsForProrata',
            'html_type' => 'Text',
            'data_type' => 'String',
            'is_required' => false,
            'is_searchable' => false,
            'is_active' => true,
        ],
        'checkPermissions' => false,
    ]);
}
catch(\Throwable $e){
    \WPReporting()->send($e, 'cartable');
    die;
}
catch(\Exception $e){
    \WPReporting()->send($e, 'cartable');
    die;
}