<?php

try{
    //Profil
    $ufgroup = civicrm_api4('UFGroup', 'create', [
        'values' => [
            'title' => 'Vos informations (don)',
            'frontend_title' => 'Vos informations',
            "description"=> null,
            "help_pre"=> null,
            "help_post"=> null,
            "limit_listings_group_id"=> null,
            "post_url"=> null,
            "add_to_group_id"=> null,
            "add_captcha"=> false,
            "is_map"=> false,
            "is_edit_link"=> false,
            "is_uf_link"=> false,
            "is_update_dupe"=> false,
            "cancel_url"=> null,
            "is_cms_user"=> false,
            "notify"=> null,
            "is_reserved"=> false,
            "is_proximity_search"=> false,
            "cancel_button_text"=> null,
            "submit_button_text"=> null,
            "add_cancel_button"=> true
        ],
        'checkPermissions' => FALSE,
      ]);
    $ufgroupId = $ufgroup[0]['id'];

    //Fields
    //First Name
    civicrm_api4('UFField', 'create', [
        'values' => [
            'uf_group_id' => $ufgroupId,
            "field_name"=> "first_name",
            "is_active"=> true,
            "is_view"=> false,
            "is_required"=> true,
            "weight"=> 1,
            "help_post"=> null,
            "help_pre"=> null,
            "visibility"=> "User and User Admin Only",
            "in_selector"=> false,
            "is_searchable"=> false,
            "location_type_id"=> null,
            "phone_type_id"=> null,
            "website_type_id"=> null,
            "label"=> "Prénom",
            "field_type"=> "Individual",
            "is_reserved"=> false,
            "is_multi_summary"=> false
        ],
        'checkPermissions' => FALSE,
      ]);
    //Last Name
    civicrm_api4('UFField', 'create', [
        'values' => [
            'uf_group_id' => $ufgroupId,
            "field_name"=> "last_name",
            "is_active"=> true,
            "is_view"=> false,
            "is_required"=> true,
            "weight"=> 2,
            "help_post"=> null,
            "help_pre"=> null,
            "visibility"=> "User and User Admin Only",
            "in_selector"=> false,
            "is_searchable"=> false,
            "location_type_id"=> null,
            "phone_type_id"=> null,
            "website_type_id"=> null,
            "label"=> "Nom",
            "field_type"=> "Individual",
            "is_reserved"=> false,
            "is_multi_summary"=> false
        ],
        'checkPermissions' => FALSE,
    ]);
    //Mail
    civicrm_api4('UFField', 'create', [
        'values' => [
            'uf_group_id' => $ufgroupId,
            "field_name"=> "email",
            "is_active"=> true,
            "is_view"=> false,
            "is_required"=> true,
            "weight"=> 3,
            "help_post"=> null,
            "help_pre"=> null,
            "visibility"=> "User and User Admin Only",
            "in_selector"=> false,
            "is_searchable"=> false,
            "location_type_id"=> null,
            "phone_type_id"=> null,
            "website_type_id"=> null,
            "label"=> "Courriel",
            "field_type"=> "Contact",
            "is_reserved"=> false,
            "is_multi_summary"=> false
        ],
        'checkPermissions' => FALSE,
    ]);
    //Phone
    civicrm_api4('UFField', 'create', [
        'values' => [
            'uf_group_id' => $ufgroupId,
            "field_name"=> "phone",
            "is_active"=> true,
            "is_view"=> false,
            "is_required"=> true,
            "weight"=> 4,
            "help_post"=> null,
            "help_pre"=> null,
            "visibility"=> "User and User Admin Only",
            "in_selector"=> false,
            "is_searchable"=> false,
            "location_type_id"=> null,
            "phone_type_id"=> null,
            "website_type_id"=> null,
            "label"=> "Téléphone",
            "field_type"=> "Contact",
            "is_reserved"=> false,
            "is_multi_summary"=> false
        ],
        'checkPermissions' => FALSE,
    ]);
    //Adresse
    civicrm_api4('UFField', 'create', [
        'values' => [
            'uf_group_id' => $ufgroupId,
            "field_name"=> "street_address",
            "is_active"=> true,
            "is_view"=> false,
            "is_required"=> true,
            "weight"=> 4,
            "help_post"=> null,
            "help_pre"=> null,
            "visibility"=> "User and User Admin Only",
            "in_selector"=> false,
            "is_searchable"=> false,
            "location_type_id"=> null,
            "phone_type_id"=> null,
            "website_type_id"=> null,
            "label"=> "Rue",
            "field_type"=> "Contact",
            "is_reserved"=> false,
            "is_multi_summary"=> false
        ],
        'checkPermissions' => FALSE,
    ]);
    civicrm_api4('UFField', 'create', [
        'values' => [
            'uf_group_id' => $ufgroupId,
            "field_name"=> "supplemental_address_1",
            "is_active"=> true,
            "is_view"=> false,
            "is_required"=> true,
            "weight"=> 5,
            "help_post"=> null,
            "help_pre"=> null,
            "visibility"=> "User and User Admin Only",
            "in_selector"=> false,
            "is_searchable"=> false,
            "location_type_id"=> null,
            "phone_type_id"=> null,
            "website_type_id"=> null,
            "label"=> "Complément d'adresse",
            "field_type"=> "Contact",
            "is_reserved"=> false,
            "is_multi_summary"=> false
        ],
        'checkPermissions' => FALSE,
    ]);
    civicrm_api4('UFField', 'create', [
        'values' => [
            'uf_group_id' => $ufgroupId,
            "field_name"=> "postal_code",
            "is_active"=> true,
            "is_view"=> false,
            "is_required"=> true,
            "weight"=> 6,
            "help_post"=> null,
            "help_pre"=> null,
            "visibility"=> "User and User Admin Only",
            "in_selector"=> false,
            "is_searchable"=> false,
            "location_type_id"=> null,
            "phone_type_id"=> null,
            "website_type_id"=> null,
            "label"=> "Code postal",
            "field_type"=> "Contact",
            "is_reserved"=> false,
            "is_multi_summary"=> false
        ],
        'checkPermissions' => FALSE,
    ]);
    civicrm_api4('UFField', 'create', [
        'values' => [
            'uf_group_id' => $ufgroupId,
            "field_name"=> "city",
            "is_active"=> true,
            "is_view"=> false,
            "is_required"=> true,
            "weight"=> 7,
            "help_post"=> null,
            "help_pre"=> null,
            "visibility"=> "User and User Admin Only",
            "in_selector"=> false,
            "is_searchable"=> false,
            "location_type_id"=> null,
            "phone_type_id"=> null,
            "website_type_id"=> null,
            "label"=> "Ville",
            "field_type"=> "Contact",
            "is_reserved"=> false,
            "is_multi_summary"=> false
        ],
        'checkPermissions' => FALSE,
    ]);
    
}
catch(\Throwable $e){
    \WPReporting()->send($e, 'cartable');
    die;
}
catch(\Exception $e){
    \WPReporting()->send($e, 'cartable');
    die;
}