<?php
use CRM_Cartable_ExtensionUtil as E;

civicrm_api4('MessageTemplate', 'update', [
  'values' => [
    'msg_text' => E::ts('{contact.email_greeting_display},\r\n\r\nYour contribution of {contribution.total_amount}{contribution.tax_currency} to {syndicate.name} has been made successfully.\r\n\r\nThank you for your contribution to {syndicate.name} ! \r\n\r Find the details of your contribution on this page: {contribution.url}'),
    'msg_html' => E::ts('<p>{contact.email_greeting_display},</p><p>Your contribution of {contribution.total_amount}{contribution.tax_currency} to {syndicate.name} has been made successfully.</p><p>Thank you for your contribution to {syndicate.name} !</p></p><p>Find the details of your contribution on this page: <a href="{contribution.url}">{contribution.url}</a></p>'),
  ],
  'where' => [
    ['msg_title', '=', 'Contributions - Reçu de contribution contact'],
  ],
  'checkPermissions' => FALSE,
]);

civicrm_api4('MessageTemplate', 'update', [
  'values' => [
    'msg_text' => E::ts('A contribution of {contribution.total_amount}{contribution.tax_currency} to {syndicate.name} has been made successfully by {contact.displayName} ({contact.email}).'),
    'msg_html' => E::ts('<p>A contribution of {contribution.total_amount}{contribution.tax_currency} to {syndicate.name} has been made successfully by {contact.displayName} ({contact.email}).'),
  ],
  'where' => [
    ['msg_title', '=', 'Contributions - Reçu de contribution syndicate'],
  ],
  'checkPermissions' => FALSE,
]);
