<h2>Champs personnalisés du formulaire</h2>

<h3>Champs & valeurs</h3>

{foreach from=$all_values item=values key=field}
<details>
    <summary>
        <strong>{$field}</strong>
    </summary>
    <table>
        <thead>
            <tr>
                <td style="width: 20%">Valeur</td>
                <td>Libellé</td>
            </tr>
        </thead>
        <tbody>
        {foreach from=$values item=label key=value}
            <tr>
                <td><em>{$value}</em></td>
                <td><strong>{$label}</strong></td>
            </tr>
        {/foreach}
        </tbody>
    </table>
</details>
<hr>
{/foreach}

<h3>Conditions</h3>

<h2>Affichage</h2>
{foreach from=$hide_if_not item=depending_fields key=affected_field}
    <h4>Afficher <strong>{$custom_fields[$affected_field]}</strong> uniquement si:</h4>
    <blockquote>

    {foreach from=$depending_fields item=depending_values key=depending_field}
        <strong>{$custom_fields[$depending_field]}</strong> a l’une de ces valeurs:
        <ul class="ul-disc">
            {foreach from=$depending_values item=depending_value}
                <li>{$depending_value}</li>
            {/foreach}
        </ul>
    {/foreach}
    </blockquote>
    <hr>
{/foreach}


<h2>Valeurs</h2>

{foreach from=$filter_options item=depending_fields key=affected_field}
<h4>Options de <strong>{$custom_fields[$affected_field]}</strong> si:</h4>
<blockquote>
    {foreach from=$depending_fields item=depending_values key=depending_field}
        <strong>{$custom_fields[$depending_field]}</strong> a l’une de ces valeurs:
        <ul class="ul-square">
            {foreach from=$depending_values item=depending_options key=depending_value}
                <li>
                    <details>
                        <summary>
                            {$depending_value}
                        </summary>
                        <ul class="ul-disc">
                            {foreach from=$depending_options item=depending_option}
                                <li>{$depending_option}</li>
                            {/foreach}
                        </ul>
                    </details>
                </li>
            {/foreach}
        </ul>
    {/foreach}
    </blockquote>
    <hr>
{/foreach}



