jQuery(document).ready(function(){
    if(cartable.Membership.GrilleSalarialeField && CRM.$('#'+cartable.Membership.GrilleSalarialeField).length){
        CRM.$(CRM.$('#'+cartable.Membership.GrilleSalarialeField)[0].previousSibling).wrap('<span id="cartable-salary-grid-preview">');
        var GrilleSalarialePreview = CRM.$('#cartable-salary-grid-preview');
        var GrilleSalariale_raw_value = GrilleSalarialePreview.text();
        GrilleSalarialePreview.attr('data-value', GrilleSalariale_raw_value).text('--');
        var GrilleVal = GrilleSalariale_raw_value.split('|');
        if(GrilleVal.length==2){
            var GrilleSyndic = parseInt(GrilleVal[0]);
            var GrilleValue = parseInt(GrilleVal[1]);
            if (typeof cartable.Syndicates.Syndicates[GrilleSyndic] != 'undefined' && cartable.Syndicates.Syndicates[GrilleSyndic].MembershipRates[GrilleValue] != 'undefined' && cartable.Syndicates.Syndicates[GrilleSyndic].MembershipRates[GrilleValue]){
                GrilleSalarialePreview.text(cartable.Syndicates.Syndicates[GrilleSyndic].MembershipRates[GrilleValue]);
            }
            else if (typeof cartable.Membership.membershipRates[GrilleValue] != 'undefined' ){
                GrilleSalarialePreview.text(cartable.Membership.membershipRates[GrilleValue]);
            }
        }
    }
    if(cartable.Membership.PaymentMethodField && CRM.$('#'+cartable.Membership.PaymentMethodField).length){
        CRM.$(CRM.$('#'+cartable.Membership.PaymentMethodField)[0].previousSibling).wrap('<span id="cartable-payment-method-preview">');
        var PaymentMethodPreview = CRM.$('#cartable-payment-method-preview');
        var PaymentMethod_raw_value = PaymentMethodPreview.text();
        PaymentMethodPreview.attr('data-value', PaymentMethod_raw_value);
        if(typeof cartable.Membership.FrequenciesData[PaymentMethod_raw_value] != 'undefined' ){
            PaymentMethodPreview.text(cartable.Membership.FrequenciesData[PaymentMethod_raw_value].title);
        }
    }
    if (cartable.Membership.numberOfMonthsForContributionField && CRM.$('#editrow-' + cartable.Membership.numberOfMonthsForContributionField).length){
        CRM.$('#editrow-' + cartable.Membership.numberOfMonthsForContributionField).hide();
    }
    if (cartable.Membership.numberOfMonthsForProrataField && CRM.$('#editrow-' + cartable.Membership.numberOfMonthsForProrataField).length){
        CRM.$('#editrow-' + cartable.Membership.numberOfMonthsForProrataField).hide();
    }
    if (cartable.Membership.MembershipFirstAmount){
        CRM.$('.amount_display-group .display-block').prepend(
            '<div class="caratable-membership-first-transaction-amount"><span>' + cartable.Membership.i18n.first_transaction + '</span> <strong>' + cartable.Membership.MembershipFirstAmount + cartable.Membership.currency.symbol+'</strong></div>'
        );
    }
    CRM.$('.crm-group.amount_display-group').html(CRM.$('.crm-group.amount_display-group').html().replace('year(s)', cartable.Membership.i18n.year_s));
    CRM.$('.crm-group.amount_display-group').html(CRM.$('.crm-group.amount_display-group').html().replace('month(s)', cartable.Membership.i18n.month_s));
});
