cartable.csynd = cartable.get('csynd');

if (cartable.csynd === null) {
    Syndicate = cartable.Syndicates.Syndicates[cartable.csynd];
    
    //several departments
    CRM.$('#cartable-academies-selector label').filter(function() {
        return CRM.$(this).attr('data-id') !== cartable.csynd;
    }).remove();
}

/* change behavior of back link */
var originalAddEventListener = HTMLElement.prototype.addEventListener;
HTMLElement.prototype.addEventListener = function (type, listener, options) {
    if (this.classList.contains('front-tabs-link') &&
      this.classList.contains('btn') &&
      this.classList.contains('prev') &&
      this.getAttribute('data-id') === 'tab-cartable-tab-step-1' &&
        type === 'click') {
        originalAddEventListener.call(this, type, function (event) {
            event.stopPropagation();
            CRM.api4('Setting', 'get', {
                select: ["cartable_sud-academies-map-url"]
            }).then(function(settings) {
                var pageUrl = settings[0].value;
                window.location.href = pageUrl;
            }, function(failure) {
                // handle failure
            });
        }, options);
    } else {
        originalAddEventListener.call(this, type, listener, options);
    }
};