<?php


namespace Tests\Functional;

use Tests\Support\FunctionalTester;

require_once '_AdhesionProcess.php';
class AdhesionParChequeCest extends _AdhesionProcess
{

    // tests
    public function _selectPayment(FunctionalTester $I)
    {
        $I->forceClick('input[placeholder="Je paierai par chèque"] + label');
    }

    public function _completeContribution(FunctionalTester $I)
    {
        $I->click('#tab_contribute a');
        $I->forceClick('.crm-contact-contribute-contributions tr span.crm-hover-button');
        $I->waitForElementClickable('.crm-contact-contribute-contributions tr td:last-child span.crm-hover-button .panel li a');
        // Nouveau règlement (ou contribution)
        $I->forceClick('.crm-contact-contribute-contributions tr td:last-child span.crm-hover-button .panel li a:contains(Nouveau règlement (ou contribution)', 'CRM');
        // Confirm in modal
        $I->waitForText('Créer Paiement');
        $I->forceClick('.ui-dialog-buttons .ui-dialog-buttonset button:contains(Nouveau règlement (ou contribution))', 'CRM');
        $I->wait(15);
    }
}
